local cddEditor = {}

local configPars = require("configParser")
local formatter = require("formatter")
local filePath = "/etc/rsm/profile.xml"

function cddEditor:getXmlFiles()

  local currentCdd = configPars.parse(filePath,"xml")
  if currentCdd ~= nil then
    return currentCdd
  else
    return nil

  end
end


function cddEditor:writeXmlFiles(fileTable)

  configPars.write(filePath,"xml",fileTable)
  formatter:replaceSingleQuotes(filePath)


end

return cddEditor
